Google Maps
Google Maps: Simple Search
Simple Search from Google Maps. Costs 1 credit per successful call.
GET
https://api.perceptlayer.com
/
v1
/
google-maps
/
simple-search
Simple Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-maps/simple-search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-maps/simple-search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-maps/simple-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-maps/simple-search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-maps/simple-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-maps/simple-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-maps/simple-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-maps/simple-search")
.header("X-API-Key", "<api-key>")
.asString();{
"items": [
{
"name": "Altair Restaurant NYC",
"review_count": 1225,
"rating": 4.8,
"website": "https://www.altairnyc.com/",
"domain": "altairnyc.com",
"latitude": 40.7556565,
"longitude": -73.9936282,
"business_id": "0x89c2591598891521:0x4ebcde18610e64",
"subtypes": [
"New American restaurant",
"Restaurant"
],
"district": "Manhattan",
"full_address": "351 W 38th St, New York, NY 10018, United States",
"timezone": "America/New_York",
"owner_id": "107444272980109255975",
"owner_name": "Altair Restaurant NYC (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/107444272980109255975",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/x4b2hrHtPNo?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11l1ncyn3_",
"phone_numbers": [
"+1 929-561-6131"
],
"place_id": "ChIJIRWJmBVZwokRZA5hGN68TgA=",
"photos_sample": [
{
"photo_id": "CIABIhBYc3BDxCaQc_uFKXR3OdWZ",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLclIWNWEpHAS_ZfLzHbhgdk-n-vOqv2qRY9cg2EiOVnCBtZi80Si0nxJWS1y-q7erapIjJZ1lJeeR51ptN57lu8jInPLk371gnTlvHosWLJAHxRBUNaa0wp5Sus3H7K-Nm4ESp4yEDtLWrk=w86-h114-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIABIhBYc3BDxCaQc_uFKXR3OdWZ?w3024-h3024-k-no",
"latitude": 40.75565649230674,
"longitude": -73.99362817600482,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "351 W 38th St",
"street_address_full": "351 W 38th St",
"city": "New York",
"zip_code": "10018",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true
}
}
},
{
"name": "Lulla NYC",
"review_count": 1571,
"rating": 4.8,
"website": "http://www.lullanyc.com/",
"domain": "lullanyc.com",
"latitude": 40.7441117,
"longitude": -73.99299409999999,
"business_id": "0x89c259bf22ca32bd:0x35d818a560181b20",
"subtypes": [
"Italian restaurant",
"Restaurant"
],
"district": "Manhattan",
"full_address": "113 W 24th St, New York, NY 10011, United States",
"timezone": "America/New_York",
"owner_id": "114181353879818223269",
"owner_name": "Lulla NYC (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/114181353879818223269",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/Jdtwk-1WpiY?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11ks6mqp8n",
"phone_numbers": [
"+1 929-588-8556"
],
"place_id": "ChIJvTLKIr9ZwokRIBsYYKUY2DU=",
"photos_sample": [
{
"photo_id": "CIHM0ogKEICAgIDvycftjQE",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLc0kk7d1qFcNbV0VXBb0neL3nT1j-VleIt2_krC3AKshr8xev_546j5whP6m60MyrSVwsRaQ8Tk1Z6rzorgyCNyn7Kz6OwF4f9Y45KK2sm_7dh9h4PsBRMiTdtwsnqskLopaaJfwA=w86-h107-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIHM0ogKEICAgIDvycftjQE?w3024-h3024-k-no",
"latitude": 40.744111702947535,
"longitude": -73.99299412410348,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "113 W 24th St",
"street_address_full": "113 W 24th St",
"city": "New York",
"zip_code": "10011",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true
}
}
},
{
"name": "Manhatta",
"review_count": 4127,
"rating": 4.7,
"website": "https://www.manhattarestaurant.com/restaurant-menu/",
"domain": "manhattarestaurant.com",
"latitude": 40.707997399999996,
"longitude": -74.00888259999999,
"business_id": "0x89c25bc797d635a1:0x60b055910436a0a4",
"subtypes": [
"New American restaurant",
"Fine dining restaurant",
"Lounge bar"
],
"district": "Manhattan",
"full_address": "28 Liberty St 60th floor, New York, NY 10005, United States",
"timezone": "America/New_York",
"short_description": "High-end New American meals on 60th floor",
"full_description": "Set on the 60th floor, this ritzy, high-end restaurant features New American cuisine and city views.",
"owner_id": "100843555729741380380",
"owner_name": "Manhatta (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/100843555729741380380",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/pyjjUZqJ9lQ?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11gh9qhb9q",
"phone_numbers": [
"+1 212-230-5788"
],
"place_id": "ChIJoTXWl8dbwokRpKA2BJFVsGA=",
"photos_sample": [
{
"photo_id": "CIHM0ogKEICAgIC8-5qOlAE",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLc2zafZWAjljFYTzgo3_gXnvE35c6VTSU68XztRX0lD4yTiK8Rky0O4KAro8HQjPM1vMJmebZrji8rOmsLT9meoBNhvBcmhmE-BPd37mCw8CZKvcvjITdXNBu_Q0dxQV_f5UtyunA=w128-h86-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIHM0ogKEICAgIC8-5qOlAE?w3024-h3024-k-no",
"latitude": 40.70799741807325,
"longitude": -74.00888262951247,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "28 Liberty St 60th floor",
"street_address_full": "28 Liberty St 60th floor",
"city": "New York",
"zip_code": "10005",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true,
"Assistive hearing loop": false,
"Wheelchair-accessible car park": false
}
}
}
],
"pagination": {
"current_page": 0,
"total_results": 173,
"has_more": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}1 credit per successful call; failed calls are free. See the Google Maps API overview for every Google Maps endpoint.
Authorizations
Query Parameters
Maximum string length:
100Was this page helpful?
⌘I
Simple Search
curl --request GET \
--url https://api.perceptlayer.com/v1/google-maps/simple-search \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.perceptlayer.com/v1/google-maps/simple-search"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.perceptlayer.com/v1/google-maps/simple-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.perceptlayer.com/v1/google-maps/simple-search';
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.perceptlayer.com/v1/google-maps/simple-search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.perceptlayer.com/v1/google-maps/simple-search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.perceptlayer.com/v1/google-maps/simple-search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.get("https://api.perceptlayer.com/v1/google-maps/simple-search")
.header("X-API-Key", "<api-key>")
.asString();{
"items": [
{
"name": "Altair Restaurant NYC",
"review_count": 1225,
"rating": 4.8,
"website": "https://www.altairnyc.com/",
"domain": "altairnyc.com",
"latitude": 40.7556565,
"longitude": -73.9936282,
"business_id": "0x89c2591598891521:0x4ebcde18610e64",
"subtypes": [
"New American restaurant",
"Restaurant"
],
"district": "Manhattan",
"full_address": "351 W 38th St, New York, NY 10018, United States",
"timezone": "America/New_York",
"owner_id": "107444272980109255975",
"owner_name": "Altair Restaurant NYC (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/107444272980109255975",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/x4b2hrHtPNo?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11l1ncyn3_",
"phone_numbers": [
"+1 929-561-6131"
],
"place_id": "ChIJIRWJmBVZwokRZA5hGN68TgA=",
"photos_sample": [
{
"photo_id": "CIABIhBYc3BDxCaQc_uFKXR3OdWZ",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLclIWNWEpHAS_ZfLzHbhgdk-n-vOqv2qRY9cg2EiOVnCBtZi80Si0nxJWS1y-q7erapIjJZ1lJeeR51ptN57lu8jInPLk371gnTlvHosWLJAHxRBUNaa0wp5Sus3H7K-Nm4ESp4yEDtLWrk=w86-h114-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIABIhBYc3BDxCaQc_uFKXR3OdWZ?w3024-h3024-k-no",
"latitude": 40.75565649230674,
"longitude": -73.99362817600482,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "351 W 38th St",
"street_address_full": "351 W 38th St",
"city": "New York",
"zip_code": "10018",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true
}
}
},
{
"name": "Lulla NYC",
"review_count": 1571,
"rating": 4.8,
"website": "http://www.lullanyc.com/",
"domain": "lullanyc.com",
"latitude": 40.7441117,
"longitude": -73.99299409999999,
"business_id": "0x89c259bf22ca32bd:0x35d818a560181b20",
"subtypes": [
"Italian restaurant",
"Restaurant"
],
"district": "Manhattan",
"full_address": "113 W 24th St, New York, NY 10011, United States",
"timezone": "America/New_York",
"owner_id": "114181353879818223269",
"owner_name": "Lulla NYC (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/114181353879818223269",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/Jdtwk-1WpiY?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11ks6mqp8n",
"phone_numbers": [
"+1 929-588-8556"
],
"place_id": "ChIJvTLKIr9ZwokRIBsYYKUY2DU=",
"photos_sample": [
{
"photo_id": "CIHM0ogKEICAgIDvycftjQE",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLc0kk7d1qFcNbV0VXBb0neL3nT1j-VleIt2_krC3AKshr8xev_546j5whP6m60MyrSVwsRaQ8Tk1Z6rzorgyCNyn7Kz6OwF4f9Y45KK2sm_7dh9h4PsBRMiTdtwsnqskLopaaJfwA=w86-h107-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIHM0ogKEICAgIDvycftjQE?w3024-h3024-k-no",
"latitude": 40.744111702947535,
"longitude": -73.99299412410348,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "113 W 24th St",
"street_address_full": "113 W 24th St",
"city": "New York",
"zip_code": "10011",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true
}
}
},
{
"name": "Manhatta",
"review_count": 4127,
"rating": 4.7,
"website": "https://www.manhattarestaurant.com/restaurant-menu/",
"domain": "manhattarestaurant.com",
"latitude": 40.707997399999996,
"longitude": -74.00888259999999,
"business_id": "0x89c25bc797d635a1:0x60b055910436a0a4",
"subtypes": [
"New American restaurant",
"Fine dining restaurant",
"Lounge bar"
],
"district": "Manhattan",
"full_address": "28 Liberty St 60th floor, New York, NY 10005, United States",
"timezone": "America/New_York",
"short_description": "High-end New American meals on 60th floor",
"full_description": "Set on the 60th floor, this ritzy, high-end restaurant features New American cuisine and city views.",
"owner_id": "100843555729741380380",
"owner_name": "Manhatta (Owner)",
"owner_link": "https://maps.google.com/maps/contrib/100843555729741380380",
"order_link": "https://www.google.com/maps/reserve/v/dine/c/pyjjUZqJ9lQ?source=pa&opi=79508299&hl=en-DK&gei=SL3Yaqu_H4THwPAPp-aPwQE&ahbb=1&sourceurl=https://www.google.com/search?tbm%3Dmap%26hl%3Den%26pb%3D!4m8!1m3!1d5000!2d11.9373824!3d57.67168!2m3!1f0!2…",
"google_mid": "/g/11gh9qhb9q",
"phone_numbers": [
"+1 212-230-5788"
],
"place_id": "ChIJoTXWl8dbwokRpKA2BJFVsGA=",
"photos_sample": [
{
"photo_id": "CIHM0ogKEICAgIC8-5qOlAE",
"photo_url": "https://lh3.googleusercontent.com/grass-cs/AABkmLc2zafZWAjljFYTzgo3_gXnvE35c6VTSU68XztRX0lD4yTiK8Rky0O4KAro8HQjPM1vMJmebZrji8rOmsLT9meoBNhvBcmhmE-BPd37mCw8CZKvcvjITdXNBu_Q0dxQV_f5UtyunA=w128-h86-k-no",
"photo_url_large": "https://lh5.googleusercontent.com/p/CIHM0ogKEICAgIC8-5qOlAE?w3024-h3024-k-no",
"latitude": 40.70799741807325,
"longitude": -74.00888262951247,
"type": "photo"
}
],
"neighborhood": "Manhattan",
"street_address_alt": "28 Liberty St 60th floor",
"street_address_full": "28 Liberty St 60th floor",
"city": "New York",
"zip_code": "10005",
"state": "New York",
"country_code": "US",
"attributes": {
"accessibility": {
"Wheelchair-accessible entrance": true,
"Wheelchair-accessible seating": true,
"Wheelchair-accessible toilet": true,
"Assistive hearing loop": false,
"Wheelchair-accessible car park": false
}
}
}
],
"pagination": {
"current_page": 0,
"total_results": 173,
"has_more": false
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}